Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001251 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Error 2019-05-16 22:29 2019-11-19 16:26
Reporter mohd_akram View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Mohamed Akram
Organization
User Reference
Section ex
Page Number 2713-2733
Line Number 88687-89455
Interp Status ---
Final Accepted Text Note: 0004457
Summary 0001251: ex(1): formatting issues in command arguments
Description Many of the commands in the ex section are missing spaces between their arguments. This is confusing as spaces are allowed and often required.

The grouping of the substitute command seems to disallow calling it with only options, count or flags.

The ! command also mentions addr instead of 2addr which seems like a mistake.
Desired Action Implement the following changes. Headings are page numbers. Lines shown are the before and after.

Space changes:

-- 2713

88687 Synopsis: ab[breviate][lhs rhs]
88687 Synopsis: ab[breviate] [lhs rhs]

-- 2714

88731 Synopsis: [2addr] c[hange][!][count]
88731 Synopsis: [2addr] c[hange][!] [count]

88742 Synopsis: chd[ir][!][directory]
88742 Synopsis: chd[ir][!] [directory]

88743 cd[!][directory]
88743 cd[!] [directory]

-- 2715

88761 Synopsis: [2addr] d[elete][buffer][count][flags]
88761 Synopsis: [2addr] d[elete] [buffer] [count] [flags]

88770 Synopsis: e[dit][!][+command][file]
88770 Synopsis: e[dit][!] [+command] [file]

88771 ex[!][+command][file]
88771 ex[!] [+command] [file]

-- 2716

88802 Synopsis: f[ile][file]
88802 Synopsis: f[ile] [file]

-- 2717

88864 Synopsis: [2addr] j[oin][!][count][flags]
88864 Synopsis: [2addr] j[oin][!] [count] [flags]

-- 2718

88896 Synopsis: [2addr] l[ist][count][flags]
88896 Synopsis: [2addr] l[ist] [count] [flags]

88898 [2addr] p[rint][count] l[flags]
88898 [2addr] p[rint] [count] l[flags]

88901 Synopsis: map[!][lhs rhs]
88901 Synopsis: map[!] [lhs rhs]

-- 2721

88999 Synopsis: n[ext][!][+command][file ...]
88999 Synopsis: n[ext][!] [+command] [file ...]

-- 2722

89023 Synopsis: [2addr] nu[mber][count][flags]
89023 Synopsis: [2addr] nu[mber] [count] [flags]

89024 [2addr] #[count][flags]
89024 [2addr] # [count] [flags]

89026 [2addr] p[rint][count] #[flags]
89026 [2addr] p[rint] [count] #[flags]

89051 Synopsis: [2addr] p[rint][count][flags]
89051 Synopsis: [2addr] p[rint] [count] [flags]

-- 2723

89074 Synopsis: [1addr] pu[t][buffer]
89074 Synopsis: [1addr] pu[t] [buffer]

89089 Synopsis: [1addr] r[ead][!][file]
89089 Synopsis: [1addr] r[ead][!] [file]

-- 2725

89144 Synopsis: se[t][option[=[value]] ...][nooption ...][option? ...][all]
89144 Synopsis: se[t] [option[=[value]] ...] [nooption ...] [option? ...] [all]

-- 2729

89288 Synopsis: [1addr] vi[sual][type][count][flags]
89288 Synopsis: [1addr] vi[sual] [type] [count] [flags]

89309 Synopsis: [2addr] w[rite][!][>>][file]
89309 Synopsis: [2addr] w[rite][!] [>>] [file]

89310 [2addr] w[rite][!][file]
89310 [2addr] w[rite][!] [file]

89311 [2addr] wq[!][>>][file]
89311 [2addr] wq[!] [>>] [file]

-- 2730

89352 Synopsis: [2addr] x[it][!][file]
89352 Synopsis: [2addr] x[it][!] [file]

-- 2731

89360 Synopsis: [2addr] ya[nk][buffer][count]
89360 Synopsis: [2addr] ya[nk] [buffer] [count]

89366 Synopsis: [1addr] z[!][type ...][count][flags]
89366 Synopsis: [1addr] z[!] [type ...] [count] [flags]

-- 2733

89444 Synopsis: [2addr] <[< ...][count][flags]
89444 Synopsis: [2addr] <[< ...] [count] [flags]

89455 Synopsis: [2addr] >[> ...][count][flags]
89455 Synopsis: [2addr] >[> ...] [count] [flags]

Space + other changes:

-- 2725

89171 Synopsis: [2addr] s[ubstitute][/pattern/repl/[options][count][flags]]
89171 Synopsis: [2addr] s[ubstitute] [/pattern/repl/] [options] [count] [flags]

89172 [2addr] &[options][count][flags]]
89172 [2addr] & [options] [count] [flags]

89173 [2addr] ~[options][count][flags]]
89173 [2addr] ~ [options] [count] [flags]

-- 2732

89414 [addr]! command
89414 [2addr] ! command
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004399)
geoffclare (manager)
2019-05-17 11:06

I don't think the line 89171-3 changes are correct. There are no spaces needed in:

  s/pat/repl/g

  &g

  ~g

so I think the changes should be:

89171 Synopsis: [2addr] s[ubstitute][/pattern/repl/[options][count][flags]]
89171 Synopsis: [2addr] s[ubstitute][/pattern/repl/][options] [count] [flags]

89172 [2addr] &[options][count][flags]]
89172 [2addr] &[options] [count] [flags]

89173 [2addr] ~[options][count][flags]]
89173 [2addr] ~[options] [count] [flags]
(0004457)
geoffclare (manager)
2019-06-28 11:04
edited on: 2019-07-01 15:57

Having read through the description of command line parsing on P2705-2708 and particularly the paragraph starting at P2707 L88471, I believe the only changes needed are:

Space changes:

-- 2715

88761 Synopsis: [2addr] d[elete][buffer][count][flags]
88761 Synopsis: [2addr] d[elete][ buffer][count][flags]

-- 2723

89074 Synopsis: [1addr] pu[t][buffer]
89074 Synopsis: [1addr] pu[t][ buffer]

-- 2725

89144 Synopsis: se[t][option[=[value]] ...][nooption ...][option? ...][all]
89144 Synopsis: se[t][ option[=[value]]]...[ nooption]...[ option?]...[ all]

Add after line 89155 "Arguments can appear in any order and shall be processed in the specified order."

-- 2731

89360 Synopsis: [2addr] ya[nk][buffer][count]
89360 Synopsis: [2addr] ya[nk][ buffer][count]


Space + other changes:

-- 2725

89171 Synopsis: [2addr] s[ubstitute][/pattern/repl/[options][count][flags]]
89171 Synopsis: [2addr] s[ubstitute][/pattern/repl/][options][count][flags]

89173 [2addr] ~[options][count][flags]]
89173 [2addr] ~[options][count][flags]

-- 2732

89414 [addr]! command
89414 [2addr] ! command


- Issue History
Date Modified Username Field Change
2019-05-16 22:29 mohd_akram New Issue
2019-05-16 22:29 mohd_akram Name => Mohamed Akram
2019-05-16 22:29 mohd_akram Section => ex
2019-05-16 22:29 mohd_akram Page Number => 2713-2733
2019-05-16 22:29 mohd_akram Line Number => 88687-89455
2019-05-17 11:06 geoffclare Note Added: 0004399
2019-06-20 13:51 mohd_akram Issue Monitored: mohd_akram
2019-06-28 11:04 geoffclare Note Added: 0004457
2019-07-01 15:57 geoffclare Note Edited: 0004457
2019-07-01 15:58 geoffclare Interp Status => ---
2019-07-01 15:58 geoffclare Final Accepted Text => Note: 0004457
2019-07-01 15:58 geoffclare Status New => Resolved
2019-07-01 15:58 geoffclare Resolution Open => Accepted As Marked
2019-07-01 15:58 geoffclare Tag Attached: tc3-2008
2019-11-19 16:26 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker